%define _version 1.94.4
%define _release raqC13

Name: majordomo
Version: %{_version}
Release: %{_release}
Summary: majordomo mailing list manager
Copyright: Great Circle Associates
Group: Applications/Mail
Requires: shadow-utils sendmail
Source: www.greatcircle.com/1.94.4/majordomo-1.94.4.tar.gz
Source2: aliases.majordomo
Patch1: majordomo-1.94.4-cobalt.patch
BuildRoot: /var/tmp/majordomo
Packager: Sridhar Gopal <gsri@cobaltnet.com>

%changelog

* Thu Sep 28 2000 Timothy Stonis <tim@cobalt.com>

-Remove resend headers 
-Disallow admin commands in list
-Don't mark docs as %doc... rpm compresses shit and breaks stuff

* Mon Jun 26 2000 Adrian Sun <asun@cobalt.com>
- wrapper needs to be in the mail group

* Wed Jun 21 2000 Duncan Laurie <duncan@cobalt.com> 1.94.4-raqC11
- fix insecure permissions on majordomo wrapper

* Mon May  1 2000 Duncan Laurie <duncan@cobalt.com>
- 1.94.4-C10
- put alaises.majordomo in /etc/mail

* Tue Nov 9 1999 Duncan Laurie <duncan@cobalt.com>
- 1.94.4-1C9
- group admin doesn't exist when this is installed,
  so make it group 'daemon'
- this rpm is a piece of crap

* Sun Jun 27 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - virtual majordomo
  - majordomo user.group == mail.admin
  - virtual sites have a directory readable by the site admin group
  - restrict_post allows only list members

* Thu May 27 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - add regexp '/./' to noadvertise so nobody can do 'lists'
  - set who_access to 'closed' so list members are not disclosed

* Sat Mar 27 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - up the max message length limit in config_parse.pl to 5MB

* Fri Mar 12 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - post-install need not run newaliases as AutoRebuildAliases is set
  - delete reply-to fields in message header

* Sun Feb 28 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - combine cobalt patches
  - use resend in wrapper
  - add resend and reply-to fields in message header
  - post-install copies /etc/sendmail.cf to /etc/sendmail.cf.master

* Fri Dec 4 1998 Sridhar Gopal <gsri@cobaltnet.com>
  - change permissions for LISTDIR from 0775 to 0755
  - eat up diagnostic outputs

* Tue Oct 20 1998 Sridhar Gopal <gsri@cobaltnet.com>
  - Automate installation.

%description 
Majordomo is a program which automates the management of Internet mailing
lists. Commands are sent to Majordomo via electronic mail to handle all
aspects of list maintainance. Once a list is set up, virtually all operations
can be performed remotely, requiring no intervention upon the postmaster of
the list site. 

Majordomo controls a list of addresses for some mail transport system (like
sendmail or smail) to handle.  Majordomo itself performs no mail delivery
(though it has scripts to format and archive messages). 

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1

%build
make wrapper

%pre
U=mail
G=daemon
M=majordomo
HD=/usr/local/majordomo

%install
U=mail
G=daemon
M=majordomo
HD=usr/local/majordomo
AL=etc/mail/aliases.majordomo

mkdir -p $RPM_BUILD_ROOT/etc/mail
mkdir -p $RPM_BUILD_ROOT/usr/man/man{1,8}

mkdir -p /$HD $RPM_BUILD_ROOT/$HD
chown $U.$G /$HD $RPM_BUILD_ROOT/$HD
chmod 751 /$HD $RPM_BUILD_ROOT/$HD

su $U -c "make install"
make MAN=$RPM_BUILD_ROOT/usr/man install-man install-wrapper

chmod 644 -R $RPM_BUILD_ROOT/usr/man/man1
chmod 644 -R $RPM_BUILD_ROOT/usr/man/man8

rm -rf /$HD/lists /$HD/digests /$HD/files /$HD/log

(
  cd /$HD
  tar cf - * |
  (
    cd $RPM_BUILD_ROOT/$HD
    tar xvvf -
  )
)

touch $RPM_BUILD_ROOT/$HD/log
chown $U.$G $RPM_BUILD_ROOT/$HD/log
chmod 660 $RPM_BUILD_ROOT/$HD/log

for dir in lists digests files; do
  mkdir -p $RPM_BUILD_ROOT/$HD/$dir
  chown $U.$G $RPM_BUILD_ROOT/$HD/$dir
  chmod 2750 $RPM_BUILD_ROOT/$HD/$dir
done

install -m644 -o root -g root $RPM_SOURCE_DIR/aliases.majordomo \
	$RPM_BUILD_ROOT/$AL

%post
U=mail
G=daemon
M=majordomo
HD=/usr/local/majordomo
CF=/etc/mail/sendmail.cf
AL=/etc/mail/aliases.majordomo

cat <<END > /var/tmp/sed.script
/^O AliasFile=\/etc\/mail\/aliases$/a\\
O AliasFile=$AL
END

if ! grep -q "^O AliasFile=$AL" $CF
then
  sed -f /var/tmp/sed.script $CF > $CF.new
  mv -f $CF.new $CF
fi
rm -f /var/tmp/sed.script

/usr/bin/newaliases &> /dev/null

%clean
U=mail
G=daemon
M=majordomo
HD=/usr/local/majordomo
rm -rf $RPM_BUILD_ROOT
rm -rf $HD

%postun
U=mail
G=daemon
M=majordomo
HD=/usr/local/majordomo
CF=/etc/mail/sendmail.cf
AL=/etc/mail/aliases.majordomo

sed -e '/^O AliasFile=\/etc\/mail\/aliases.majordomo$/d' $CF > $CF.old
mv -f $CF.old $CF
rm -f $AL $AL.db
rm -rf $HD

%files
%dir /usr/local/majordomo
%attr(4750,root,mail) /usr/local/majordomo/wrapper
/usr/local/majordomo/archive2.pl
/usr/local/majordomo/bounce-remind
/usr/local/majordomo/config-test
/usr/local/majordomo/config_parse.pl
/usr/local/majordomo/digest
/usr/local/majordomo/digests
/usr/local/majordomo/files
/usr/local/majordomo/lists
/usr/local/majordomo/log
/usr/local/majordomo/majordomo
/usr/local/majordomo/majordomo.cf
/usr/local/majordomo/majordomo.pl
/usr/local/majordomo/majordomo_version.pl
/usr/local/majordomo/request-answer
/usr/local/majordomo/resend
/usr/local/majordomo/sample.cf
/usr/local/majordomo/shlock.pl
/usr/local/majordomo/bin/
/usr/local/majordomo/Tools/
%config /etc/mail/aliases.majordomo
%doc /usr/man/man1/approve.1.gz
%doc /usr/man/man1/digest.1.gz
%doc /usr/man/man1/bounce.1.gz
%doc /usr/man/man1/bounce-remind.1.gz
%doc /usr/man/man1/resend.1.gz
%doc /usr/man/man8/majordomo.8.gz
